proxies:
  - name: 本地
    port: 1080
    server: 33.2.9.8
    type: http
    benchmark-url: http://www.google.com
    benchmark-timeout: 5
mode: rule
proxy-groups:
  # 功能分组
  #- name: ssid-group
  #  type: select # 类型必须为 select，兼容原版 clash 配置
  #  proxies:
  #    - 本地
  #    - DIRECT
  #  ssid-policy:
    # 在 SSID 为 office 的 Wi-Fi 中自动切换为 ss1 策略
    # 在 SSID 为 home 的 Wi-Fi 中自动切换为 ss2 策略
    # 在蜂窝数据中自动切换为 ss3 策略
    # 其他的 SSID 默认为 DIRECT
  #    Andie-Lab: 本地
  #    DAO.FM: DIRECT
  #    cellular: DIRECT
  #    default: 本地

  - name: 'local-auto'
    type: url-test
    proxies:
      - 本地
      - DIRECT
    url: 'http://www.gstatic.com/generate_204'
    interval: 300

rules:
  - IP-CIDR,33.0.0.0/8,DIRECT
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,local-auto
script:
  shortcuts:
    quic: network == 'udp' and dst_port == 443
dns:
  default-nameserver:
    - 114.114.115.115
    - 119.28.28.28
    - 223.6.6.6
    - system
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
log-level: warning
mode: rule

